<template>
  <AmsTableRow :class="$style['tr-loading']">
    <AmsTableCell :class="$style['td']">
      &nbsp;
    </AmsTableCell>
  </AmsTableRow>
</template>

<script lang="ts">
import { defineComponent } from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsTableRowLoading",

  components: {
    AmsTableRow: () => import("./TableRow.vue"),
    AmsTableCell: () => import("./TableCell.vue"),
  },
});
</script>

<style lang="postcss" module>
.tr-loading {
  animation: loading 2000ms ease-in-out infinite;

  .td {
    @apply h-12 bg-gray-200;
  }
}

@keyframes loading {
  0% {
    opacity: .2;
  }

  70% {
    opacity: .6;
  }

  100% {
    opacity: .2;
  }
}
</style>
